commit:     786a19968d80edf294b25994739c564f24f021af
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  4 03:05:07 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul  4 03:18:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=786a1996

dev-python/testfixtures: Bump to 9.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/testfixtures/Manifest                  |  1 +
 dev-python/testfixtures/testfixtures-9.0.0.ebuild | 51 +++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/testfixtures/Manifest b/dev-python/testfixtures/Manifest
index 6a6c1a095be4..134d938aac8f 100644
--- a/dev-python/testfixtures/Manifest
+++ b/dev-python/testfixtures/Manifest
@@ -1 +1,2 @@
 DIST testfixtures-8.3.0.tar.gz 137420 BLAKE2B 
bf0fe6705bbbb33a26dcc98be061c1dafbe331ca6c4ac8c028e146f7e156870ee8abe5118b3182600e8d513530c442a4fa1efa696253b9b0c114733bd40fc6ee
 SHA512 
b2c18a35c44b90bce50cc68ca9bf9909ac8f75287c7188eeddfa855aec1db3bd14f3fccb4c5ef0e44b19c683ad4bd6be4876554ce9127698e8e20cbfa4191800
+DIST testfixtures-9.0.0.tar.gz 87851 BLAKE2B 
e3c718572d844ca1070a044fdd21246ffa4839a89e9d95603bbe9496bf510957eac125a29a9db2beb588d79957a068c5d9585bfe3d954d8f88075900f531f904
 SHA512 
8a88bd0b868793e75fc867fa6cdf5f994c69178141f1b5c0b3709ebd4cf52a2209fa4b37c09ccc6c2dab95fdd646ea8e4367425ed382d4a99d8f8de2d8d862bc

diff --git a/dev-python/testfixtures/testfixtures-9.0.0.ebuild 
b/dev-python/testfixtures/testfixtures-9.0.0.ebuild
new file mode 100644
index 000000000000..c8922e751f02
--- /dev/null
+++ b/dev-python/testfixtures/testfixtures-9.0.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A collection of helpers and mock objects for unit tests and doc 
tests"
+HOMEPAGE="
+       https://pypi.org/project/testfixtures/
+       https://github.com/Simplistix/testfixtures/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~sparc 
~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+       test? (
+               $(python_gen_impl_dep sqlite)
+               dev-python/django[${PYTHON_USEDEP}]
+               >=dev-python/sybil-6[${PYTHON_USEDEP}]
+               >=dev-python/twisted-18[${PYTHON_USEDEP}]
+               sys-libs/timezone-data
+       )
+"
+
+EPYTEST_PLUGINS=( pytest-django )
+distutils_enable_tests pytest
+
+python_test() {
+       local -x PYTHONPATH="."
+       local -x DJANGO_SETTINGS_MODULE=testfixtures.tests.test_django.settings
+
+       local EPYTEST_DESELECT=(
+               # TODO
+               
testfixtures/tests/test_shouldwarn.py::ShouldWarnTests::test_filter_missing
+               
testfixtures/tests/test_shouldwarn.py::ShouldWarnTests::test_filter_present
+       )
+       local EPYTEST_IGNORE=()
+       if ! has_version "dev-python/twisted[${PYTHON_USEDEP}]"; then
+               EPYTEST_IGNORE+=(
+                       testfixtures/tests/test_twisted.py
+               )
+       fi
+
+       epytest
+}

Reply via email to